%global rel 585

Name:		unetbootin
Version:	0
Release:	%mkrel 5.%{rel}
Summary:	Create bootable Live USB drives for a variety of Linux distributions
Group:		File tools
License:	GPLv2+
URL:		http://unetbootin.sourceforge.net/
Source0:	http://downloads.sourceforge.net/%{name}/%{name}-source-%{rel}.tar.gz
Source1:	net.sourceforge.%{name}.policy
# Syslinux is only available on x86 architectures
ExclusiveArch:	%{ix86} x86_64

BuildRequires:	desktop-file-utils
BuildRequires:	pkgconfig(QtCore)

# Not picked up automatically, required for operation
Requires:	extlinux
Requires:	p7zip
Requires:	syslinux
Requires:	polkit

%description
UNetbootin allows you to create bootable Live USB drives for a variety of
Linux distributions from Windows or Linux, without requiring you to burn a CD.
You can either let it download one of the many distributions supported
out-of-the-box for you, or supply your own Linux .iso file if you've already
downloaded one or your preferred distribution isn't on the list.


%prep
%setup -q -c 


%build
mv unetbootin.desktop mageia-unetbootin.desktop
lupdate unetbootin.pro
lrelease unetbootin.pro
qmake

%make


%install
install -D -p -m 0755 %{name} %{buildroot}%{_libexecdir}/%{name}
# Install desktop file
desktop-file-install --vendor="" --remove-key=Version --remove-key=Name[en_US] --remove-key=GenericName[en_US] --remove-key=Comment[en_US] --remove-category=Application --dir=%{buildroot}%{_datadir}/applications mageia-unetbootin.desktop
# Install localization files
install -d %{buildroot}%{_datadir}/unetbootin
install -c -p -m 644 unetbootin_*.qm %{buildroot}%{_datadir}/unetbootin/
# Install icons
install -D -c -p -m 644 unetbootin_16.png %{buildroot}%{_datadir}/icons/hicolor/16x16/apps/unetbootin.png
install -D -c -p -m 644 unetbootin_22.png %{buildroot}%{_datadir}/icons/hicolor/22x22/apps/unetbootin.png
install -D -c -p -m 644 unetbootin_24.png %{buildroot}%{_datadir}/icons/hicolor/24x24/apps/unetbootin.png
install -D -c -p -m 644 unetbootin_32.png %{buildroot}%{_datadir}/icons/hicolor/32x32/apps/unetbootin.png
install -D -c -p -m 644 unetbootin_48.png %{buildroot}%{_datadir}/icons/hicolor/48x48/apps/unetbootin.png
install -D -c -p -m 644 unetbootin_64.png %{buildroot}%{_datadir}/icons/hicolor/64x64/apps/unetbootin.png
install -D -c -p -m 644 unetbootin_128.png %{buildroot}%{_datadir}/icons/hicolor/128x128/apps/unetbootin.png
install -D -c -p -m 644 unetbootin_192.png %{buildroot}%{_datadir}/icons/hicolor/192x192/apps/unetbootin.png
install -D -c -p -m 644 unetbootin_256.png %{buildroot}%{_datadir}/icons/hicolor/256x256/apps/unetbootin.png

# Policy Kit support for nice root access
%__mkdir_p %{buildroot}%{_bindir}
cat >%{buildroot}%{_bindir}/%{name} <<EOF
#!/bin/sh
exec %{_bindir}/pkexec %{_libexecdir}/%{name} \$*
EOF
%__install -m 0644 %{SOURCE1} -D %{buildroot}%{_datadir}/polkit-1/actions/net.sourceforge.%{name}.policy


%files
%doc README.TXT
%attr(0755,root,root) %{_bindir}/%{name}
%{_libexecdir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/polkit-1/actions/*.policy
%{_datadir}/applications/mageia-%{name}.desktop
%{_datadir}/icons/hicolor/*/*


%changelog
* Sun Oct 13 2013 colin <colin> 0-5.585.mga4
+ Revision: 496226
- Switch to polkit for root authorisation

* Wed Aug 14 2013 sander85 <sander85> 0-4.585.mga4
+ Revision: 466517
- New release: 585

* Wed Jan 23 2013 sander85 <sander85> 0-4.583.mga3
+ Revision: 391377
- Change group

* Wed Jan 23 2013 fwang <fwang> 0-3.583.mga3
+ Revision: 391344
- update rpm group

* Sun Jan 06 2013 sander85 <sander85> 0-2.583.mga3
+ Revision: 339930
- New release: 583

* Tue Sep 18 2012 sander85 <sander85> 0-2.581.mga3
+ Revision: 295942
- New release: 581

* Mon Jul 23 2012 sander85 <sander85> 0-2.578.mga3
+ Revision: 273726
- new release: 578

* Sat Mar 03 2012 sander85 <sander85> 0-2.568.mga2
+ Revision: 217224
- new version

* Sat Jan 07 2012 sander85 <sander85> 0-2.563.mga2
+ Revision: 193008
- new release: 563

* Fri Oct 07 2011 sander85 <sander85> 0-2.555.mga2
+ Revision: 152719
- add extlinux as a requirement as it was splitted from syslinux

* Thu Oct 06 2011 sander85 <sander85> 0-1.555.mga2
+ Revision: 152211
- switch to tarball source

* Sat Oct 01 2011 sander85 <sander85> 0-0.555.mga2
+ Revision: 150665
- fix bug #1443
- new version: 555

* Sat Apr 30 2011 sander85 <sander85> 0-0.549.mga1
+ Revision: 93728
- imported package unetbootin


* Sat Apr 30 2011 Sander Lepik <sander.lepik@eesti.ee> 0-0.549.mga1
- nev version 549
- clean spec
- add icons

* Fri Mar 19 2010 Thierry Vignaud <tv@mandriva.org> 0-0.393bzrmdv2010.1
+ Revision: 525268
- import unetbootin


* Fri Mar 19 2010 Thierry Vignaud <tvignaud@mandriva.com> 0-0.393bzrmdv2010.1
- initial import from fedora
- fix build on mandriva
